Index: trunk/SophyaLib/NTools/Makefile
===================================================================
--- trunk/SophyaLib/NTools/Makefile	(revision 2763)
+++ trunk/SophyaLib/NTools/Makefile	(revision 2765)
@@ -4,231 +4,13 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)imageop.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o
+	 rm -f $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)imageop.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o
 	rm -f $(SOPHYALIBP)libNTools.a
  
-$(SOPHYALIBP)libNTools.a : $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o
+$(SOPHYALIBP)libNTools.a : $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)cimage.o: cimage.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  cimage.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)cspline.o: cspline.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nbtri.h \
-  cspline.h \
-  $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)datatypes.o: datatypes.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  datatypes.h \
-  $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)dates.o: dates.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  dates.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)difeq.o: difeq.cc \
-  $(SOPHYAINCP)sopnamsp.h difeq.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)ctimer.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)dynccd.o: dynccd.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fmath.h \
-  perandom.h $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  nbrandom.h \
-  $(SOPHYAINCP)srandgen.h cimage.h \
-  $(SOPHYAINCP)fioarr.h dynccd.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fct1dfit.o: fct1dfit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fct1dfit.h generalfit.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h \
-  nbconst.h tabmath.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fct2dfit.o: fct2dfit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fct2dfit.h generalfit.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h \
-  nbconst.h tabmath.h simps2d.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fftmserver.o: fftmserver.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fftmserver.h fftservintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h \
-  fftmayer.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fftpserver.o: fftpserver.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fftpserver.h fftservintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h \
-  fftpackc.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fftservintf.o: fftservintf.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fftservintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
 $(SOPHYAOBJP)FSAppIrrSmpl.o: FSAppIrrSmpl.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  FSAppIrrSmpl.h \
+  $(SOPHYAINCP)sopnamsp.h FSAppIrrSmpl.h \
   $(SOPHYAINCP)machdefs.h nbmath.h \
   $(SOPHYAINCP)smathconst.h \
@@ -253,17 +35,214 @@
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)sopemtx.h \
-  fftservintf.h fftpserver.h \
-  $(SOPHYAINCP)toeplitzMatrix.h \
+  $(SOPHYAINCP)sopemtx.h fftservintf.h \
+  fftpserver.h $(SOPHYAINCP)toeplitzMatrix.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)fftservintf.h \
   $(SOPHYAINCP)fftpserver.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)functab.o: functab.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  functab.h $(SOPHYAINCP)tvector.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  FSAppIrrSmpl.cc
+ 
+$(SOPHYAOBJP)cimage.o: cimage.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h cimage.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cimage.cc
+ 
+$(SOPHYAOBJP)cspline.o: cspline.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nbtri.h cspline.h \
+  $(SOPHYAINCP)pexceptions.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cspline.cc
+ 
+$(SOPHYAOBJP)datatypes.o: datatypes.cc \
+  $(SOPHYAINCP)sopnamsp.h datatypes.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datatypes.cc
+ 
+$(SOPHYAOBJP)dates.o: dates.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h dates.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  dates.cc
+ 
+$(SOPHYAOBJP)difeq.o: difeq.cc $(SOPHYAINCP)sopnamsp.h \
+  difeq.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)ctimer.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  difeq.cc
+ 
+$(SOPHYAOBJP)dynccd.o: dynccd.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fmath.h perandom.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h nbrandom.h \
+  $(SOPHYAINCP)srandgen.h cimage.h \
+  $(SOPHYAINCP)fioarr.h dynccd.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  dynccd.cc
+ 
+$(SOPHYAOBJP)fct1dfit.o: fct1dfit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fct1dfit.h \
+  generalfit.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h nbconst.h \
+  tabmath.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fct1dfit.cc
+ 
+$(SOPHYAOBJP)fct2dfit.o: fct2dfit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fct2dfit.h \
+  generalfit.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h nbconst.h \
+  tabmath.h simps2d.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fct2dfit.cc
+ 
+$(SOPHYAOBJP)fftmserver.o: fftmserver.cc \
+  $(SOPHYAINCP)sopnamsp.h fftmserver.h \
+  fftservintf.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h fftmayer.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftmserver.cc
+ 
+$(SOPHYAOBJP)fftpserver.o: fftpserver.cc \
+  $(SOPHYAINCP)sopnamsp.h fftpserver.h \
+  fftservintf.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h fftpackc.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftpserver.cc
+ 
+$(SOPHYAOBJP)fftservintf.o: fftservintf.cc \
+  $(SOPHYAINCP)sopnamsp.h fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftservintf.cc
+ 
+$(SOPHYAOBJP)functab.o: functab.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h functab.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h \
@@ -280,93 +259,85 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  functab.cc
  
 $(SOPHYAOBJP)generaldata.o: generaldata.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)strutil.h nbtri.h \
-  generalfit.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)strutil.h nbtri.h generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generaldata.cc
  
 $(SOPHYAOBJP)generalfit.o: generalfit.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)pexceptions.h generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)sopemtx.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)integ.o: integ.cc \
-  $(SOPHYAINCP)sopnamsp.h integ.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  classfunc.h generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h $(SOPHYAINCP)utils.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generalfit.cc
+ 
+$(SOPHYAOBJP)integ.o: integ.cc $(SOPHYAINCP)sopnamsp.h \
+  integ.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h classfunc.h \
+  generalfit.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  integ.cc
  
 $(SOPHYAOBJP)median.o: median.cc
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  median.cc
  
 $(SOPHYAOBJP)ntoolsinit.o: ntoolsinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntoolsinit.h \
+  $(SOPHYAINCP)machdefs.h ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h poly.h \
@@ -378,6 +349,6 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)ppfnametag.h peida.h \
+  $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)tvector.h \
@@ -388,14 +359,12 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generaldata.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
   $(SOPHYAINCP)ntupintf.h cimage.h \
-  $(SOPHYAINCP)fioarr.h tabmath.h \
-  nbconst.h dates.h datime.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)fioarr.h tabmath.h nbconst.h \
+  dates.h datime.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntoolsinit.cc
  
 $(SOPHYAOBJP)objfitter.o: objfitter.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  objfitter.h \
+  $(SOPHYAINCP)sopnamsp.h objfitter.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
@@ -422,15 +391,14 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
-  generalfit.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)hisprof.h generalfit.h \
+  generaldata.h $(SOPHYAINCP)ntupintf.h \
+  poly.h peida.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  objfitter.cc
  
 $(SOPHYAOBJP)perandom.o: perandom.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  perandom.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)pexceptions.h perandom.h \
+  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -451,11 +419,9 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  nbrandom.h \
+  $(SOPHYAINCP)utilarr.h nbrandom.h \
   $(SOPHYAINCP)srandgen.h pemath.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)poly.o: poly.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  perandom.cc
+ 
+$(SOPHYAOBJP)poly.o: poly.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h poly.h \
   $(SOPHYAINCP)objfio.h \
@@ -466,6 +432,6 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)ppfnametag.h peida.h \
+  $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)tvector.h \
@@ -479,10 +445,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)fioarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  poly.cc
  
 $(SOPHYAOBJP)rk4cdifeq.o: rk4cdifeq.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  rk4cdifeq.h difeq.h \
+  $(SOPHYAINCP)machdefs.h rk4cdifeq.h difeq.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)tvector.h \
@@ -502,87 +467,76 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)ctimer.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rk4cdifeq.cc
  
 $(SOPHYAOBJP)simplesort.o: simplesort.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  simplesort.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h simplesort.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fmath.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)simplex.o: simplex.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  simplex.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generalfit.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)pexceptions.h fmath.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  simplesort.cc
+ 
+$(SOPHYAOBJP)simplex.o: simplex.cc $(SOPHYAINCP)sopnamsp.h \
+  simplex.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generalfit.h \
+  generaldata.h $(SOPHYAINCP)ntupintf.h \
+  poly.h peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)tabmath.o: tabmath.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  tabmath.h peida.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  simplex.cc
+ 
+$(SOPHYAOBJP)tabmath.o: tabmath.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h tabmath.h peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fmath.h nbconst.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)datime.o: datime.c \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)strutil.h nbconst.h \
-  datime.h
-	$(CCOMPILE) -o $@ $<
+  $(SOPHYAINCP)pexceptions.h fmath.h \
+  nbconst.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tabmath.cc
+ 
+$(SOPHYAOBJP)datime.o: datime.c $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)strutil.h nbconst.h datime.h
+	$(CCOMPILE) -o $@  datime.c
  
 $(SOPHYAOBJP)fftmayer_r4.o: fftmayer_r4.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h \
-  trigtbl.h
-	$(CCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h trigtbl.h
+	$(CCOMPILE) -o $@  fftmayer_r4.c
  
 $(SOPHYAOBJP)fftmayer_r8.o: fftmayer_r8.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h \
-  trigtbl.h
-	$(CCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h trigtbl.h
+	$(CCOMPILE) -o $@  fftmayer_r8.c
  
 $(SOPHYAOBJP)fftpackc.o: fftpackc.c fftpackc.h \
   $(SOPHYAINCP)machdefs.h
-	$(CCOMPILE) -o $@ $<
+	$(CCOMPILE) -o $@  fftpackc.c
  
 $(SOPHYAOBJP)matxop.o: matxop.c matxop.h nbmath.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)smathconst.h
-	$(CCOMPILE) -o $@ $<
+	$(CCOMPILE) -o $@  matxop.c
  
 $(SOPHYAOBJP)nbmath.o: nbmath.c nbmath.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h \
-  matxop.h nbinteg.h nbtri.h
-	$(CCOMPILE) -o $@ $<
+  $(SOPHYAINCP)smathconst.h matxop.h \
+  nbinteg.h nbtri.h
+	$(CCOMPILE) -o $@  nbmath.c
  
 $(SOPHYAOBJP)nbtri.o: nbtri.c nbtri.h \
   $(SOPHYAINCP)machdefs.h
-	$(CCOMPILE) -o $@ $<
- 
+	$(CCOMPILE) -o $@  nbtri.c
+ 
Index: trunk/SophyaLib/NTools/objlist.list
===================================================================
--- trunk/SophyaLib/NTools/objlist.list	(revision 2763)
+++ trunk/SophyaLib/NTools/objlist.list	(revision 2765)
@@ -1,2 +1,3 @@
+FSAppIrrSmpl.o
 cimage.o
 cspline.o
@@ -14,5 +15,4 @@
 fftpserver.o
 fftservintf.o
-FSAppIrrSmpl.o
 functab.o
 generaldata.o
Index: trunk/SophyaLib/NTools/smakefile
===================================================================
--- trunk/SophyaLib/NTools/smakefile	(revision 2763)
+++ trunk/SophyaLib/NTools/smakefile	(revision 2765)
@@ -4,231 +4,13 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)imageop.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o
+	 rm -f $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)imageop.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o
 	rm -f $(SOPHYALIBP)libNTools.a
  
-$(SOPHYALIBP)libNTools.a : $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o
+$(SOPHYALIBP)libNTools.a : $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)cimage.o: cimage.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  cimage.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)cspline.o: cspline.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nbtri.h \
-  cspline.h \
-  $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)datatypes.o: datatypes.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  datatypes.h \
-  $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)dates.o: dates.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  dates.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)difeq.o: difeq.cc \
-  $(SOPHYAINCP)sopnamsp.h difeq.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)ctimer.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)dynccd.o: dynccd.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fmath.h \
-  perandom.h $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  nbrandom.h \
-  $(SOPHYAINCP)srandgen.h cimage.h \
-  $(SOPHYAINCP)fioarr.h dynccd.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fct1dfit.o: fct1dfit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fct1dfit.h generalfit.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h \
-  nbconst.h tabmath.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fct2dfit.o: fct2dfit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fct2dfit.h generalfit.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h \
-  nbconst.h tabmath.h simps2d.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fftmserver.o: fftmserver.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fftmserver.h fftservintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h \
-  fftmayer.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fftpserver.o: fftpserver.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fftpserver.h fftservintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h \
-  fftpackc.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fftservintf.o: fftservintf.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fftservintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
 $(SOPHYAOBJP)FSAppIrrSmpl.o: FSAppIrrSmpl.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  FSAppIrrSmpl.h \
+  $(SOPHYAINCP)sopnamsp.h FSAppIrrSmpl.h \
   $(SOPHYAINCP)machdefs.h nbmath.h \
   $(SOPHYAINCP)smathconst.h \
@@ -253,17 +35,214 @@
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)sopemtx.h \
-  fftservintf.h fftpserver.h \
-  $(SOPHYAINCP)toeplitzMatrix.h \
+  $(SOPHYAINCP)sopemtx.h fftservintf.h \
+  fftpserver.h $(SOPHYAINCP)toeplitzMatrix.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)fftservintf.h \
   $(SOPHYAINCP)fftpserver.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)functab.o: functab.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  functab.h $(SOPHYAINCP)tvector.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  FSAppIrrSmpl.cc
+ 
+$(SOPHYAOBJP)cimage.o: cimage.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h cimage.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cimage.cc
+ 
+$(SOPHYAOBJP)cspline.o: cspline.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nbtri.h cspline.h \
+  $(SOPHYAINCP)pexceptions.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cspline.cc
+ 
+$(SOPHYAOBJP)datatypes.o: datatypes.cc \
+  $(SOPHYAINCP)sopnamsp.h datatypes.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datatypes.cc
+ 
+$(SOPHYAOBJP)dates.o: dates.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h dates.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  dates.cc
+ 
+$(SOPHYAOBJP)difeq.o: difeq.cc $(SOPHYAINCP)sopnamsp.h \
+  difeq.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)ctimer.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  difeq.cc
+ 
+$(SOPHYAOBJP)dynccd.o: dynccd.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fmath.h perandom.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h nbrandom.h \
+  $(SOPHYAINCP)srandgen.h cimage.h \
+  $(SOPHYAINCP)fioarr.h dynccd.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  dynccd.cc
+ 
+$(SOPHYAOBJP)fct1dfit.o: fct1dfit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fct1dfit.h \
+  generalfit.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h nbconst.h \
+  tabmath.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fct1dfit.cc
+ 
+$(SOPHYAOBJP)fct2dfit.o: fct2dfit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fct2dfit.h \
+  generalfit.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h nbconst.h \
+  tabmath.h simps2d.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fct2dfit.cc
+ 
+$(SOPHYAOBJP)fftmserver.o: fftmserver.cc \
+  $(SOPHYAINCP)sopnamsp.h fftmserver.h \
+  fftservintf.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h fftmayer.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftmserver.cc
+ 
+$(SOPHYAOBJP)fftpserver.o: fftpserver.cc \
+  $(SOPHYAINCP)sopnamsp.h fftpserver.h \
+  fftservintf.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h fftpackc.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftpserver.cc
+ 
+$(SOPHYAOBJP)fftservintf.o: fftservintf.cc \
+  $(SOPHYAINCP)sopnamsp.h fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftservintf.cc
+ 
+$(SOPHYAOBJP)functab.o: functab.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h functab.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h \
@@ -280,93 +259,85 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  functab.cc
  
 $(SOPHYAOBJP)generaldata.o: generaldata.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)strutil.h nbtri.h \
-  generalfit.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)strutil.h nbtri.h generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generaldata.cc
  
 $(SOPHYAOBJP)generalfit.o: generalfit.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)pexceptions.h generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)sopemtx.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)integ.o: integ.cc \
-  $(SOPHYAINCP)sopnamsp.h integ.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  classfunc.h generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h $(SOPHYAINCP)utils.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generalfit.cc
+ 
+$(SOPHYAOBJP)integ.o: integ.cc $(SOPHYAINCP)sopnamsp.h \
+  integ.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h classfunc.h \
+  generalfit.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
+  $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  integ.cc
  
 $(SOPHYAOBJP)median.o: median.cc
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  median.cc
  
 $(SOPHYAOBJP)ntoolsinit.o: ntoolsinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntoolsinit.h \
+  $(SOPHYAINCP)machdefs.h ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h poly.h \
@@ -378,6 +349,6 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)ppfnametag.h peida.h \
+  $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)tvector.h \
@@ -388,14 +359,12 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generaldata.h \
+  $(SOPHYAINCP)utilarr.h generaldata.h \
   $(SOPHYAINCP)ntupintf.h cimage.h \
-  $(SOPHYAINCP)fioarr.h tabmath.h \
-  nbconst.h dates.h datime.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)fioarr.h tabmath.h nbconst.h \
+  dates.h datime.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntoolsinit.cc
  
 $(SOPHYAOBJP)objfitter.o: objfitter.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  objfitter.h \
+  $(SOPHYAINCP)sopnamsp.h objfitter.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
@@ -422,15 +391,14 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
-  generalfit.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)hisprof.h generalfit.h \
+  generaldata.h $(SOPHYAINCP)ntupintf.h \
+  poly.h peida.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  objfitter.cc
  
 $(SOPHYAOBJP)perandom.o: perandom.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  perandom.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)pexceptions.h perandom.h \
+  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -451,11 +419,9 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  nbrandom.h \
+  $(SOPHYAINCP)utilarr.h nbrandom.h \
   $(SOPHYAINCP)srandgen.h pemath.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)poly.o: poly.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  perandom.cc
+ 
+$(SOPHYAOBJP)poly.o: poly.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h poly.h \
   $(SOPHYAINCP)objfio.h \
@@ -466,6 +432,6 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)ppfnametag.h peida.h \
+  $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)tvector.h \
@@ -479,10 +445,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)fioarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  poly.cc
  
 $(SOPHYAOBJP)rk4cdifeq.o: rk4cdifeq.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  rk4cdifeq.h difeq.h \
+  $(SOPHYAINCP)machdefs.h rk4cdifeq.h difeq.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)tvector.h \
@@ -502,87 +467,76 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)ctimer.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rk4cdifeq.cc
  
 $(SOPHYAOBJP)simplesort.o: simplesort.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  simplesort.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h simplesort.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fmath.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)simplex.o: simplex.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  simplex.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  generalfit.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h \
-  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)pexceptions.h fmath.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  simplesort.cc
+ 
+$(SOPHYAOBJP)simplex.o: simplex.cc $(SOPHYAINCP)sopnamsp.h \
+  simplex.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h generalfit.h \
+  generaldata.h $(SOPHYAINCP)ntupintf.h \
+  poly.h peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)tabmath.o: tabmath.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  tabmath.h peida.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  simplex.cc
+ 
+$(SOPHYAOBJP)tabmath.o: tabmath.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h tabmath.h peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fmath.h nbconst.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)datime.o: datime.c \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)strutil.h nbconst.h \
-  datime.h
-	$(CCOMPILE) -o $@ $<
+  $(SOPHYAINCP)pexceptions.h fmath.h \
+  nbconst.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tabmath.cc
+ 
+$(SOPHYAOBJP)datime.o: datime.c $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)strutil.h nbconst.h datime.h
+	$(CCOMPILE) -o $@  datime.c
  
 $(SOPHYAOBJP)fftmayer_r4.o: fftmayer_r4.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h \
-  trigtbl.h
-	$(CCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h trigtbl.h
+	$(CCOMPILE) -o $@  fftmayer_r4.c
  
 $(SOPHYAOBJP)fftmayer_r8.o: fftmayer_r8.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h \
-  trigtbl.h
-	$(CCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h trigtbl.h
+	$(CCOMPILE) -o $@  fftmayer_r8.c
  
 $(SOPHYAOBJP)fftpackc.o: fftpackc.c fftpackc.h \
   $(SOPHYAINCP)machdefs.h
-	$(CCOMPILE) -o $@ $<
+	$(CCOMPILE) -o $@  fftpackc.c
  
 $(SOPHYAOBJP)matxop.o: matxop.c matxop.h nbmath.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)smathconst.h
-	$(CCOMPILE) -o $@ $<
+	$(CCOMPILE) -o $@  matxop.c
  
 $(SOPHYAOBJP)nbmath.o: nbmath.c nbmath.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h \
-  matxop.h nbinteg.h nbtri.h
-	$(CCOMPILE) -o $@ $<
+  $(SOPHYAINCP)smathconst.h matxop.h \
+  nbinteg.h nbtri.h
+	$(CCOMPILE) -o $@  nbmath.c
  
 $(SOPHYAOBJP)nbtri.o: nbtri.c nbtri.h \
   $(SOPHYAINCP)machdefs.h
-	$(CCOMPILE) -o $@ $<
- 
+	$(CCOMPILE) -o $@  nbtri.c
+ 
